Bug 6961 - telepathy-spirit open source?
: telepathy-spirit open source?
Status: UNCONFIRMED
Product: Chat & Call & SMS
Telepathy
: 5.0/(1.2009.42-11)
: All Maemo
: Low normal (vote)
: ---
Assigned To: rtcomm@maemo.org
: telepathy-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-12-14 19:53 UTC by Tomasz Sterna
Modified: 2011-06-26 18:43 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Tomasz Sterna (reporter) 2009-12-14 19:53:25 UTC
Why is telepathy-spirit source closed?
Comment 1 Lucas Maneos 2009-12-15 15:02:38 UTC
(In reply to comment #0)
> Why is telepathy-spirit source closed?

Probably because the underlying protocol (Skype) is proprietary.  I don't see
an actual bug here, resolving.
Comment 2 Andre Klapper maemo.org 2009-12-15 23:36:09 UTC
Tomasz: Also note that this is not a forum, but a bugtracker.
Please post *questions* in http://talk.maemo.org , or an enhancement request
here with good usecases and arguments why something should be open sourced.
Also see http://wiki.maemo.org/Why_the_closed_packages
Comment 3 Tomasz Sterna (reporter) 2009-12-15 23:45:27 UTC
I know what a bugtracker is.
The mentioned Wiki page pointed me to the Bugtracker. And if you would read
that Wiki page, you would notice that I already posted a request there.
Comment 4 Andre Klapper maemo.org 2009-12-15 23:52:26 UTC
(In reply to comment #3)
> I know what a bugtracker is.

Sorry. Didn't look like that as you completely ignored the template.

> The mentioned Wiki page pointed me to the Bugtracker. And if you would read
> that Wiki page, you would notice that I already posted a request there.

Fine. So you could have mentioned that here initially already. :)
Comment 5 Pali Rohár 2011-04-11 12:43:38 UTC
Which component(s) or source packages is the licensing change request about?
telepathy-spirit

Which area is the component in (if you know)? (See the openness progress
reports at
http://mer-project.blogspot.com/2010/02/mapping-openness-of-maemo-50-pr11-and.html)
L7

What is the current licensing of the component?
Nokia Closed Source

What licensing would you like it to be and why? Examples can be:
open source and openly developed (move to gitorious), open source (select a
license), non-free but redistributable, non-free, published in nokia-binaries,
document the functionality, etc.
Open Source (GPL, LGPL, BSD, ...)

Which project(s) would benefit from this licensing change request?
All telepathy clients, desktop too

What technical purpose do you/your project(s) have for wanting the licensing
change?
binaries for i386, amd64 (which run desktop)
Comment 6 Andre Klapper maemo.org 2011-04-11 13:10:48 UTC
I don't think that Skype will happily open up their closed stuff, even if Nokia
wanted. ;-)
Comment 7 Pali Rohár 2011-04-11 13:19:06 UTC
This bug is about telepathy-spirit package (connection manager for telepathy
which owns Nokia), not Skype binary.

All info about license change is specified. Please reopen this bug and move to
Lincense Changing Section.
Comment 8 Andre Klapper maemo.org 2011-04-11 13:38:49 UTC
(In reply to comment #7)
> This bug is about telepathy-spirit package (connection manager for telepathy
> which owns Nokia), not Skype binary.

I know. Still there's very likely some API interaction. ;-)

> All info about license change is specified. Please reopen this bug and move to
> Lincense Changing Section.

I can do that, but it's 99.9% likely that it's a WONTFIX.
Comment 9 Pali Rohár 2011-04-11 17:10:19 UTC
Ok, and releasing i386 binary packages? There are only armel builds.
Comment 10 Pali Rohár 2011-06-26 18:43:15 UTC
(In reply to comment #8)
> I know. Still there's very likely some API interaction. ;-)

But Skype API which communicate with Skype client is open and documented, see
http://developer.skype.com/accessories